/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/**
 * File Name:  applicationForm.h
 *
 * Description: application form header file
 */

#include "stdafx.h"
#include "db2sync.h"

#ifndef APPLICATIONFORM_CE
#define APPLICATIONFORM_CE

#define MODE_NAME_MAXLEN 50

LRESULT CALLBACK	Application			(HWND, UINT, WPARAM, LPARAM);
LRESULT CALLBACK	ApplicationDetails	(HWND, UINT, WPARAM, LPARAM);

isy_INT				refreshApplicationControls(HWND hDlg);
isy_VOID			displaySelectedAppMode(HWND hDlg);
isy_INT				GetSelectedAppName(HWND hDlg,isy_TCHAR *selectedApp);
isy_VOID			setAppMode(HWND hDlg,  isy_INT32 ISYNCMODE);

LRESULT				AppModeRadioButtonAllEnable(HWND hDlg, isy_BOOL bl);
LRESULT				AppModeRadioButtonAllUncheck(HWND hDlg);

#endif
