import javax.microedition.lcdui.*;

/**
 * @author default
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class DB2SyncSettings extends Form implements CommandListener{

	private Command save = new Command("Save", Command.SCREEN, 1);
	private Command cancel = new Command("Cancel", Command.BACK, 2);
	
	
	private static Displayable instance;
	private TextField url;
	private TextField user;
	private TextField password;
	
	
	public DB2SyncSettings()
	{
		super("DB2 Sync Settings");
		addCommand(save);
		addCommand(cancel);
		setCommandListener(this);
		
		url = new TextField("URL ", DB2Sync.getInstance().getSyncWorker().getUri(), 100, TextField.URL);
		user = new TextField("User ", DB2Sync.getInstance().getSyncWorker().getUser(), 256, TextField.ANY);
		password = new TextField("Password ", DB2Sync.getInstance().getSyncWorker().getPassword(), 256, TextField.PASSWORD);
		
		append(url);
		append(user);
		append(password);
		
		instance = this;
	}
	
	static Displayable getInstance()
	{
		return instance;		
	}
	
	
	public void commandAction(Command c, Displayable d)
	{					
		if(c == save)
		{
			DB2Sync.getInstance().getSyncWorker().setUri(url.getString());
			DB2Sync.getInstance().getSyncWorker().setUser(user.getString());
			DB2Sync.getInstance().getSyncWorker().setPassword(password.getString());
			DB2Sync.getInstance().display();
			
		}	
		else if(c == cancel)
		{
			DB2Sync.getInstance().display();
		}
	}
	
	
}
